/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// CreatePostRequestMetadataPriority : An object containing the post's priority properties

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CreatePostRequestMetadataPriority {
    /// The priority label of the post, could empty, important, or urgent
    #[serde(rename = "priority", skip_serializing_if = "Option::is_none")]
    pub priority: Option<String>,
    /// Set to true to request for acknowledgements
    #[serde(rename = "requested_ack", skip_serializing_if = "Option::is_none")]
    pub requested_ack: Option<bool>,
}

impl CreatePostRequestMetadataPriority {
    /// An object containing the post's priority properties
    pub fn new() -> CreatePostRequestMetadataPriority {
        CreatePostRequestMetadataPriority {
            priority: None,
            requested_ack: None,
        }
    }
}
